Skip to main content
POST
/
matters
/
{matterId}
/
memos
Create a memo on a matter
curl --request POST \
  --url https://api.smokeball.com/matters/{matterId}/memos \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json-patch+json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "title": "Update",
  "text": "There has been a recent update on this matter.",
  "userId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
  "createdDateUtc": "2022-07-01"
}
'
import requests

url = "https://api.smokeball.com/matters/{matterId}/memos"

payload = {
"title": "Update",
"text": "There has been a recent update on this matter.",
"userId": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"createdDateUtc": "2022-07-01"
}
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
Authorization: '<api-key>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
title: 'Update',
text: 'There has been a recent update on this matter.',
userId: 'b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2',
createdDateUtc: '2022-07-01'
})
};

fetch('https://api.smokeball.com/matters/{matterId}/memos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required

Body

title
string
required

The title of the memo.

Minimum string length: 1
Example:

"Update"

text
string
required

The text (content) of the memo.

Supports plain-text and RTF.

Example:

"There has been a recent update on this matter."

userId
string | null

Unique identifier of the user.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

createdDateUtc
string<date-time> | null

Date that the memo was created.

Will default to the current date and time, if not supplied.

Example:

"2022-07-01"

Response

When request is accepted. Returns a hypermedia 'Link' object of the memo to be created.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET